#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>

using namespace std;

int merge(int int1, int int2, int int3)
{
    int int2_copy = int2;
    do
    {
        int1 *= 10;
        int2_copy /= 10;
    } while (int2_copy);

    int old = int1 + int2;
    int int3_copy = int3;
    do
    {
        old *= 10;
        int3_copy /= 10;
    } while (int3_copy);
    return old + int3;
}

int main()
{
    int abc, acb, bac, bca, cab, cba;
    int broj[3];

    scanf("%d %d %d", &broj[1], &broj[2], &broj[3]);

    if(broj[1]> 1000)
    {
        return 0;
    }
    if(broj[2]> 1000)
    {
        return 0;
    }
    if(broj[3]> 1000)
    {
        return 0;
    }

    abc = merge(broj[1], broj[2], broj[3]);
    acb = merge(broj[1], broj[3], broj[2]);
    bac = merge(broj[2], broj[1], broj[3]);
    bca = merge(broj[2], broj[3], broj[1]);
    cab = merge(broj[3], broj[1], broj[2]);
    cba = merge(broj[3], broj[2], broj[1]);

    int najveci = abc;
    if (najveci < acb)
        najveci = acb;
    if (najveci < bac)
        najveci = bac;
    if (najveci < bca)
        najveci = bca;
    if (najveci < cab)
        najveci = cab;
    if (najveci < cba)
        najveci = cba;

    printf("%d", najveci);
    return 0;
}